#!/bin/sh

. ./settings.sh

case $1 in

# process services
services)

  # find services:
    SLIST=$(ls ./conf.d/service_*.conf.sh )
  # process command
  case $2 in
    init)
	echo "--------------------------------------------------"
	echo "service init..."
	echo "--------------------------------------------------"
	for ITEM in ${SLIST};
	do
	  $ITEM init
	done
    ;;
    start)
	echo "--------------------------------------------------"
	echo "service start..."
	echo "--------------------------------------------------"
	for ITEM in ${SLIST};
	do
	  $ITEM start
	done
    ;;
    stop)
	echo "--------------------------------------------------"
	echo "service stop..."
	echo "--------------------------------------------------"
	for ITEM in ${SLIST};
	do
	  $ITEM stop
	done
    ;;
    restart)
	echo "--------------------------------------------------"
	echo "service restart..."
	echo "--------------------------------------------------"
	for ITEM in ${SLIST};
	do
	  $ITEM restart
	done
    ;;
  esac

;;
esac
